# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'design.ui'
#
# Created by: PyQt5 UI code generator 5.5
#
# WARNING! All changes made in this file will be lost!

from PyQt5 import QtCore, QtGui, QtWidgets

class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(1014, 697)
        self.centralwidget = QtWidgets.QWidget(MainWindow)
        self.centralwidget.setObjectName("centralwidget")
        self.tabWidget = QtWidgets.QTabWidget(self.centralwidget)
        self.tabWidget.setGeometry(QtCore.QRect(0, 0, 1011, 631))
        self.tabWidget.setObjectName("tabWidget")
        self.tab1 = QtWidgets.QWidget()
        self.tab1.setObjectName("tab1")
        self.toolBox = QtWidgets.QToolBox(self.tab1)
        self.toolBox.setGeometry(QtCore.QRect(0, 0, 1001, 601))
        self.toolBox.setObjectName("toolBox")
        self.page = QtWidgets.QWidget()
        self.page.setGeometry(QtCore.QRect(0, 0, 1001, 349))
        self.page.setObjectName("page")
        self.add_director_btn = QtWidgets.QPushButton(self.page)
        self.add_director_btn.setGeometry(QtCore.QRect(0, 320, 1001, 34))
        self.add_director_btn.setObjectName("add_director_btn")
        self.label = QtWidgets.QLabel(self.page)
        self.label.setGeometry(QtCore.QRect(300, 140, 68, 20))
        self.label.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label.setObjectName("label")
        self.label_3 = QtWidgets.QLabel(self.page)
        self.label_3.setGeometry(QtCore.QRect(300, 185, 68, 19))
        self.label_3.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_3.setObjectName("label_3")
        self.director_name = QtWidgets.QLineEdit(self.page)
        self.director_name.setGeometry(QtCore.QRect(380, 135, 250, 25))
        self.director_name.setPlaceholderText("")
        self.director_name.setObjectName("director_name")
        self.director_age = QtWidgets.QSpinBox(self.page)
        self.director_age.setGeometry(QtCore.QRect(380, 180, 250, 25))
        self.director_age.setObjectName("director_age")
        self.toolBox.addItem(self.page, "")
        self.page_2 = QtWidgets.QWidget()
        self.page_2.setGeometry(QtCore.QRect(0, 0, 1001, 349))
        self.page_2.setObjectName("page_2")
        self.label_4 = QtWidgets.QLabel(self.page_2)
        self.label_4.setGeometry(QtCore.QRect(300, 140, 68, 19))
        self.label_4.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_4.setObjectName("label_4")
        self.label_5 = QtWidgets.QLabel(self.page_2)
        self.label_5.setGeometry(QtCore.QRect(300, 190, 68, 19))
        self.label_5.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_5.setObjectName("label_5")
        self.add_studio_btn = QtWidgets.QPushButton(self.page_2)
        self.add_studio_btn.setGeometry(QtCore.QRect(0, 320, 1001, 34))
        self.add_studio_btn.setObjectName("add_studio_btn")
        self.studio_name = QtWidgets.QLineEdit(self.page_2)
        self.studio_name.setGeometry(QtCore.QRect(380, 135, 250, 25))
        self.studio_name.setPlaceholderText("")
        self.studio_name.setObjectName("studio_name")
        self.studio_budget = QtWidgets.QSpinBox(self.page_2)
        self.studio_budget.setGeometry(QtCore.QRect(380, 185, 250, 25))
        self.studio_budget.setMaximum(999999999)
        self.studio_budget.setObjectName("studio_budget")
        self.toolBox.addItem(self.page_2, "")
        self.page_6 = QtWidgets.QWidget()
        self.page_6.setGeometry(QtCore.QRect(0, 0, 1001, 349))
        self.page_6.setObjectName("page_6")
        self.label_7 = QtWidgets.QLabel(self.page_6)
        self.label_7.setGeometry(QtCore.QRect(300, 80, 68, 19))
        self.label_7.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_7.setObjectName("label_7")
        self.label_8 = QtWidgets.QLabel(self.page_6)
        self.label_8.setGeometry(QtCore.QRect(300, 130, 68, 19))
        self.label_8.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_8.setObjectName("label_8")
        self.label_9 = QtWidgets.QLabel(self.page_6)
        self.label_9.setGeometry(QtCore.QRect(300, 175, 68, 19))
        self.label_9.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_9.setObjectName("label_9")
        self.label_10 = QtWidgets.QLabel(self.page_6)
        self.label_10.setGeometry(QtCore.QRect(300, 215, 68, 19))
        self.label_10.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_10.setObjectName("label_10")
        self.add_film_btn = QtWidgets.QPushButton(self.page_6)
        self.add_film_btn.setGeometry(QtCore.QRect(0, 320, 1001, 34))
        self.add_film_btn.setObjectName("add_film_btn")
        self.film_director = QtWidgets.QComboBox(self.page_6)
        self.film_director.setGeometry(QtCore.QRect(380, 210, 250, 30))
        self.film_director.setObjectName("film_director")
        self.film_studio = QtWidgets.QComboBox(self.page_6)
        self.film_studio.setGeometry(QtCore.QRect(380, 170, 250, 30))
        self.film_studio.setObjectName("film_studio")
        self.film_name = QtWidgets.QLineEdit(self.page_6)
        self.film_name.setGeometry(QtCore.QRect(380, 75, 250, 25))
        self.film_name.setPlaceholderText("")
        self.film_name.setObjectName("film_name")
        self.film_genre = QtWidgets.QLineEdit(self.page_6)
        self.film_genre.setGeometry(QtCore.QRect(380, 125, 250, 25))
        self.film_genre.setPlaceholderText("")
        self.film_genre.setObjectName("film_genre")
        self.toolBox.addItem(self.page_6, "")
        self.page_5 = QtWidgets.QWidget()
        self.page_5.setGeometry(QtCore.QRect(0, 0, 1001, 349))
        self.page_5.setObjectName("page_5")
        self.label_11 = QtWidgets.QLabel(self.page_5)
        self.label_11.setGeometry(QtCore.QRect(300, 130, 68, 19))
        self.label_11.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_11.setObjectName("label_11")
        self.add_viewer_btn = QtWidgets.QPushButton(self.page_5)
        self.add_viewer_btn.setGeometry(QtCore.QRect(0, 320, 1001, 34))
        self.add_viewer_btn.setObjectName("add_viewer_btn")
        self.viewer_name = QtWidgets.QLineEdit(self.page_5)
        self.viewer_name.setGeometry(QtCore.QRect(380, 125, 250, 25))
        self.viewer_name.setPlaceholderText("")
        self.viewer_name.setObjectName("viewer_name")
        self.toolBox.addItem(self.page_5, "")
        self.page_4 = QtWidgets.QWidget()
        self.page_4.setGeometry(QtCore.QRect(0, 0, 1001, 349))
        self.page_4.setObjectName("page_4")
        self.label_13 = QtWidgets.QLabel(self.page_4)
        self.label_13.setGeometry(QtCore.QRect(300, 80, 68, 19))
        self.label_13.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_13.setObjectName("label_13")
        self.label_14 = QtWidgets.QLabel(self.page_4)
        self.label_14.setGeometry(QtCore.QRect(300, 130, 68, 19))
        self.label_14.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_14.setObjectName("label_14")
        self.add_cinema_btn = QtWidgets.QPushButton(self.page_4)
        self.add_cinema_btn.setGeometry(QtCore.QRect(0, 320, 1001, 34))
        self.add_cinema_btn.setObjectName("add_cinema_btn")
        self.cinema_name = QtWidgets.QLineEdit(self.page_4)
        self.cinema_name.setGeometry(QtCore.QRect(380, 75, 250, 25))
        self.cinema_name.setPlaceholderText("")
        self.cinema_name.setObjectName("cinema_name")
        self.cinema_address = QtWidgets.QLineEdit(self.page_4)
        self.cinema_address.setGeometry(QtCore.QRect(380, 125, 250, 25))
        self.cinema_address.setPlaceholderText("")
        self.cinema_address.setObjectName("cinema_address")
        self.toolBox.addItem(self.page_4, "")
        self.page_3 = QtWidgets.QWidget()
        self.page_3.setGeometry(QtCore.QRect(0, 0, 1001, 349))
        self.page_3.setObjectName("page_3")
        self.label_17 = QtWidgets.QLabel(self.page_3)
        self.label_17.setGeometry(QtCore.QRect(360, 55, 68, 19))
        self.label_17.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_17.setObjectName("label_17")
        self.label_18 = QtWidgets.QLabel(self.page_3)
        self.label_18.setGeometry(QtCore.QRect(270, 95, 161, 19))
        self.label_18.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_18.setObjectName("label_18")
        self.add_session_btn = QtWidgets.QPushButton(self.page_3)
        self.add_session_btn.setGeometry(QtCore.QRect(0, 320, 1001, 34))
        self.add_session_btn.setObjectName("add_session_btn")
        self.session_film = QtWidgets.QComboBox(self.page_3)
        self.session_film.setGeometry(QtCore.QRect(440, 130, 191, 25))
        self.session_film.setObjectName("session_film")
        self.label_2 = QtWidgets.QLabel(self.page_3)
        self.label_2.setGeometry(QtCore.QRect(370, 135, 58, 16))
        self.label_2.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_2.setObjectName("label_2")
        self.session_duration = QtWidgets.QTimeEdit(self.page_3)
        self.session_duration.setGeometry(QtCore.QRect(440, 90, 191, 25))
        self.session_duration.setObjectName("session_duration")
        self.label_6 = QtWidgets.QLabel(self.page_3)
        self.label_6.setGeometry(QtCore.QRect(317, 170, 111, 20))
        self.label_6.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_6.setObjectName("label_6")
        self.session_cinema = QtWidgets.QComboBox(self.page_3)
        self.session_cinema.setGeometry(QtCore.QRect(440, 170, 191, 25))
        self.session_cinema.setObjectName("session_cinema")
        self.session_time = QtWidgets.QDateTimeEdit(self.page_3)
        self.session_time.setGeometry(QtCore.QRect(440, 55, 191, 22))
        self.session_time.setObjectName("session_time")
        self.toolBox.addItem(self.page_3, "")
        self.page_16 = QtWidgets.QWidget()
        self.page_16.setGeometry(QtCore.QRect(0, 0, 1001, 349))
        self.page_16.setObjectName("page_16")
        self.viewertosession = QtWidgets.QComboBox(self.page_16)
        self.viewertosession.setGeometry(QtCore.QRect(380, 90, 351, 30))
        self.viewertosession.setObjectName("viewertosession")
        self.sessiontoviewer = QtWidgets.QComboBox(self.page_16)
        self.sessiontoviewer.setGeometry(QtCore.QRect(380, 140, 351, 30))
        self.sessiontoviewer.setObjectName("sessiontoviewer")
        self.label_41 = QtWidgets.QLabel(self.page_16)
        self.label_41.setGeometry(QtCore.QRect(300, 145, 71, 20))
        self.label_41.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_41.setObjectName("label_41")
        self.label_42 = QtWidgets.QLabel(self.page_16)
        self.label_42.setGeometry(QtCore.QRect(300, 95, 71, 20))
        self.label_42.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_42.setObjectName("label_42")
        self.add_viewer_to_session_btn = QtWidgets.QPushButton(self.page_16)
        self.add_viewer_to_session_btn.setGeometry(QtCore.QRect(0, 320, 1001, 34))
        self.add_viewer_to_session_btn.setObjectName("add_viewer_to_session_btn")
        self.toolBox.addItem(self.page_16, "")
        self.tabWidget.addTab(self.tab1, "")
        self.tab2 = QtWidgets.QWidget()
        self.tab2.setObjectName("tab2")
        self.toolBox_2 = QtWidgets.QToolBox(self.tab2)
        self.toolBox_2.setGeometry(QtCore.QRect(0, 0, 1001, 401))
        self.toolBox_2.setObjectName("toolBox_2")
        self.page_7 = QtWidgets.QWidget()
        self.page_7.setGeometry(QtCore.QRect(0, 0, 1001, 293))
        self.page_7.setObjectName("page_7")
        self.label_19 = QtWidgets.QLabel(self.page_7)
        self.label_19.setGeometry(QtCore.QRect(10, 0, 291, 31))
        self.label_19.setObjectName("label_19")
        self.find_directors_btn = QtWidgets.QPushButton(self.page_7)
        self.find_directors_btn.setGeometry(QtCore.QRect(0, 80, 1001, 34))
        self.find_directors_btn.setObjectName("find_directors_btn")
        self.label_21 = QtWidgets.QLabel(self.page_7)
        self.label_21.setGeometry(QtCore.QRect(10, 130, 91, 21))
        self.label_21.setObjectName("label_21")
        self.label_27 = QtWidgets.QLabel(self.page_7)
        self.label_27.setGeometry(QtCore.QRect(270, 40, 68, 19))
        self.label_27.setObjectName("label_27")
        self.find_directors_result = QtWidgets.QTextBrowser(self.page_7)
        self.find_directors_result.setGeometry(QtCore.QRect(10, 160, 981, 101))
        self.find_directors_result.setObjectName("find_directors_result")
        self.find_directors_genre = QtWidgets.QLineEdit(self.page_7)
        self.find_directors_genre.setGeometry(QtCore.QRect(10, 35, 250, 25))
        self.find_directors_genre.setPlaceholderText("")
        self.find_directors_genre.setObjectName("find_directors_genre")
        self.toolBox_2.addItem(self.page_7, "")
        self.page_8 = QtWidgets.QWidget()
        self.page_8.setGeometry(QtCore.QRect(0, 0, 98, 28))
        self.page_8.setObjectName("page_8")
        self.label_20 = QtWidgets.QLabel(self.page_8)
        self.label_20.setGeometry(QtCore.QRect(10, 0, 671, 41))
        self.label_20.setObjectName("label_20")
        self.label_22 = QtWidgets.QLabel(self.page_8)
        self.label_22.setGeometry(QtCore.QRect(10, 150, 91, 21))
        self.label_22.setObjectName("label_22")
        self.find_sessions_btn = QtWidgets.QPushButton(self.page_8)
        self.find_sessions_btn.setGeometry(QtCore.QRect(0, 100, 1001, 34))
        self.find_sessions_btn.setObjectName("find_sessions_btn")
        self.label_28 = QtWidgets.QLabel(self.page_8)
        self.label_28.setGeometry(QtCore.QRect(270, 60, 151, 21))
        self.label_28.setObjectName("label_28")
        self.find_sessions_result = QtWidgets.QTextBrowser(self.page_8)
        self.find_sessions_result.setGeometry(QtCore.QRect(10, 180, 981, 101))
        self.find_sessions_result.setObjectName("find_sessions_result")
        self.find_sessions_film = QtWidgets.QLineEdit(self.page_8)
        self.find_sessions_film.setGeometry(QtCore.QRect(10, 55, 250, 25))
        self.find_sessions_film.setPlaceholderText("")
        self.find_sessions_film.setObjectName("find_sessions_film")
        self.toolBox_2.addItem(self.page_8, "")
        self.page_9 = QtWidgets.QWidget()
        self.page_9.setGeometry(QtCore.QRect(0, 0, 98, 28))
        self.page_9.setObjectName("page_9")
        self.label_23 = QtWidgets.QLabel(self.page_9)
        self.label_23.setGeometry(QtCore.QRect(10, 150, 91, 21))
        self.label_23.setObjectName("label_23")
        self.find_studios_btn = QtWidgets.QPushButton(self.page_9)
        self.find_studios_btn.setGeometry(QtCore.QRect(0, 100, 1001, 34))
        self.find_studios_btn.setObjectName("find_studios_btn")
        self.label_24 = QtWidgets.QLabel(self.page_9)
        self.label_24.setGeometry(QtCore.QRect(10, -10, 771, 51))
        self.label_24.setObjectName("label_24")
        self.label_25 = QtWidgets.QLabel(self.page_9)
        self.label_25.setGeometry(QtCore.QRect(150, 60, 68, 20))
        self.label_25.setObjectName("label_25")
        self.label_26 = QtWidgets.QLabel(self.page_9)
        self.label_26.setGeometry(QtCore.QRect(490, 60, 68, 19))
        self.label_26.setObjectName("label_26")
        self.find_studios_result = QtWidgets.QTextBrowser(self.page_9)
        self.find_studios_result.setGeometry(QtCore.QRect(10, 180, 981, 101))
        self.find_studios_result.setObjectName("find_studios_result")
        self.find_studios_time = QtWidgets.QDateTimeEdit(self.page_9)
        self.find_studios_time.setGeometry(QtCore.QRect(10, 60, 131, 22))
        self.find_studios_time.setObjectName("find_studios_time")
        self.find_studios_viewer = QtWidgets.QLineEdit(self.page_9)
        self.find_studios_viewer.setGeometry(QtCore.QRect(230, 55, 250, 25))
        self.find_studios_viewer.setPlaceholderText("")
        self.find_studios_viewer.setObjectName("find_studios_viewer")
        self.toolBox_2.addItem(self.page_9, "")
        self.tabWidget.addTab(self.tab2, "")
        MainWindow.setCentralWidget(self.centralwidget)
        self.statusbar = QtWidgets.QStatusBar(MainWindow)
        self.statusbar.setObjectName("statusbar")
        MainWindow.setStatusBar(self.statusbar)

        self.retranslateUi(MainWindow)
        self.tabWidget.setCurrentIndex(0)
        self.toolBox.setCurrentIndex(6)
        self.toolBox_2.setCurrentIndex(0)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):
        _translate = QtCore.QCoreApplication.translate
        MainWindow.setWindowTitle(_translate("MainWindow", "MainWindow"))
        self.add_director_btn.setText(_translate("MainWindow", "Применить"))
        self.label.setText(_translate("MainWindow", "Имя"))
        self.label_3.setText(_translate("MainWindow", "Возраст"))
        self.toolBox.setItemText(self.toolBox.indexOf(self.page), _translate("MainWindow", "Добавить режиссера"))
        self.label_4.setText(_translate("MainWindow", "Название"))
        self.label_5.setText(_translate("MainWindow", "Бюджет"))
        self.add_studio_btn.setText(_translate("MainWindow", "Применить"))
        self.toolBox.setItemText(self.toolBox.indexOf(self.page_2), _translate("MainWindow", "Добавить киностудию"))
        self.label_7.setText(_translate("MainWindow", "Название"))
        self.label_8.setText(_translate("MainWindow", "Жанр"))
        self.label_9.setText(_translate("MainWindow", "Студия"))
        self.label_10.setText(_translate("MainWindow", "Режиссер"))
        self.add_film_btn.setText(_translate("MainWindow", "Применить"))
        self.toolBox.setItemText(self.toolBox.indexOf(self.page_6), _translate("MainWindow", "Добавить фильм"))
        self.label_11.setText(_translate("MainWindow", "Имя"))
        self.add_viewer_btn.setText(_translate("MainWindow", "Применить"))
        self.toolBox.setItemText(self.toolBox.indexOf(self.page_5), _translate("MainWindow", "Добавить зрителя"))
        self.label_13.setText(_translate("MainWindow", "Название"))
        self.label_14.setText(_translate("MainWindow", "Адрес"))
        self.add_cinema_btn.setText(_translate("MainWindow", "Применить"))
        self.toolBox.setItemText(self.toolBox.indexOf(self.page_4), _translate("MainWindow", "Добавить кинотеатр"))
        self.label_17.setText(_translate("MainWindow", "Время"))
        self.label_18.setText(_translate("MainWindow", "Продолжительность"))
        self.add_session_btn.setText(_translate("MainWindow", "Применить"))
        self.label_2.setText(_translate("MainWindow", "Фильм"))
        self.label_6.setText(_translate("MainWindow", "Кинотеатр"))
        self.toolBox.setItemText(self.toolBox.indexOf(self.page_3), _translate("MainWindow", "Добавить сеанс"))
        self.label_41.setText(_translate("MainWindow", "Сеанс"))
        self.label_42.setText(_translate("MainWindow", "Зритель"))
        self.add_viewer_to_session_btn.setText(_translate("MainWindow", "Применить"))
        self.toolBox.setItemText(self.toolBox.indexOf(self.page_16), _translate("MainWindow", "Добавить зрителя на сеанс"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab1), _translate("MainWindow", "Add"))
        self.label_19.setText(_translate("MainWindow", "Имена режиссёров фильмов жанра..."))
        self.find_directors_btn.setText(_translate("MainWindow", "Применить"))
        self.label_21.setText(_translate("MainWindow", "Результат"))
        self.label_27.setText(_translate("MainWindow", "Жанр"))
        self.toolBox_2.setItemText(self.toolBox_2.indexOf(self.page_7), _translate("MainWindow", "Запрос 1"))
        self.label_20.setText(_translate("MainWindow", "Даты сеансов, названия и адреса кинотеатров, показывающих фильм с названием X,\n"
"отсортированные по убыванию времени начала"))
        self.label_22.setText(_translate("MainWindow", "Результат"))
        self.find_sessions_btn.setText(_translate("MainWindow", "Применить"))
        self.label_28.setText(_translate("MainWindow", "Название фильма"))
        self.toolBox_2.setItemText(self.toolBox_2.indexOf(self.page_8), _translate("MainWindow", "Запрос 2"))
        self.label_23.setText(_translate("MainWindow", "Результат"))
        self.find_studios_btn.setText(_translate("MainWindow", "Применить"))
        self.label_24.setText(_translate("MainWindow", "Названия и бюджеты киностудий, приложивших руку к созданию фильмов, сеансы\n"
"которых начинаются после даты X, на которые пойдёт зритель по имени Y"))
        self.label_25.setText(_translate("MainWindow", "Дата"))
        self.label_26.setText(_translate("MainWindow", "Зритель"))
        self.toolBox_2.setItemText(self.toolBox_2.indexOf(self.page_9), _translate("MainWindow", "Запрос 3"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab2), _translate("MainWindow", "Find"))

